greasemonkey (3.4-1) unstable; urgency=medium

  * Team upload, to unstable since it’s a stable release

  [ Anthony Lieuallen ]
  * Version bump: 3.4

 -- David Prévot <taffit@debian.org>  Sun, 13 Sep 2015 17:44:09 -0400

greasemonkey (3.3~beta1-1) experimental; urgency=medium

  * Team upload, to experimental since it’s a beta version

  [ Anthony Lieuallen ]
  * Switch from resource: to chrome: for JSM.

 -- David Prévot <taffit@debian.org>  Sat, 11 Jul 2015 18:41:35 -0400

greasemonkey (3.2-1) unstable; urgency=medium

  * Team upload, to unstable since it’s a stable release

  [ Anthony Lieuallen ]
  * Version bump: 3.2.

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2015 09:15:36 -0400

greasemonkey (3.2~beta2-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 3.1beta2

 -- David Prévot <taffit@debian.org>  Tue, 19 May 2015 22:29:14 -0400

greasemonkey (3.2~beta1-1) experimental; urgency=medium

  * Team upload

 -- David Prévot <taffit@debian.org>  Thu, 30 Apr 2015 17:40:42 -0400

greasemonkey (3.1-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 3.1

 -- David Prévot <taffit@debian.org>  Fri, 20 Mar 2015 22:04:43 -0400

greasemonkey (3.0-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Temporarily ignore referer failure under e10s.

 -- David Prévot <taffit@debian.org>  Sun, 15 Mar 2015 12:24:19 -0400

greasemonkey (3.0~beta1-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version: 3.0beta1

  [ Damyan Ivanov ]
  * patch content/config.js to stop calling home on first run (Closes: #771110)

 -- David Prévot <taffit@debian.org>  Sun, 22 Feb 2015 17:34:02 -0400

greasemonkey (2.3-1) experimental; urgency=medium

  * Team upload, to experimental to respect the freeze

  [ Anthony Lieuallen ]
  * Update the parser to detect @noframes.
  * When @noframes is set, only inject into top-level windows.
  * Restore the responseType feature for GM_xhr
  * Update translations from babelzilla.org.
  * Version bump: 2.3

 -- David Prévot <taffit@debian.org>  Mon, 03 Nov 2014 16:36:19 -0400

greasemonkey (2.2-1) unstable; urgency=medium

  * Team upload, to unstable

  [ Ventero ]
  * Initial localization support.
  * Correctly handle missing origin URL.
  * Make check for about:blank URIs more exact.

  [ janekptacijarabaci ]
  * GM_log truncates at NULL byte
  * GM_openInTab with insertRelatedAfterCurrent = true (frame, iframe)

  [ Anthony Lieuallen ]
  * Only write the UTF-8 BOM to the script itself, not all files.
  * Updated translations from babelzilla.org
  * Version bump: 2.2

  [ David Prévot ]
  * Drop Fabrizio Regalli from uploaders (Closes: #761871)
  * Update watch file
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Wed, 17 Sep 2014 16:17:34 -0400

greasemonkey (2.2~beta1-1) experimental; urgency=medium

  * Team upload, to experimental

  [ Anthony Lieuallen ]
  * Do not install scripts from "script like" pages.
  * New translations from babelzilla.org
  * Version bump: 2.2beta1

 -- David Prévot <taffit@debian.org>  Sat, 02 Aug 2014 08:13:17 -0400

greasemonkey (2.1-1) unstable; urgency=medium

  * Team upload, to unstable

  [ Anthony Lieuallen ]
  * Version bump: 2.1

 -- David Prévot <taffit@debian.org>  Tue, 29 Jul 2014 00:55:59 -0400

greasemonkey (2.1~beta1-1) experimental; urgency=medium

  * Team upload, to experimental

  [ Anthony Lieuallen ]
  * Remove apiLeakCheck.
  * Update translations from babelzilla.org.
  * Version bump: 2.1beta1

 -- David Prévot <taffit@debian.org>  Thu, 17 Jul 2014 16:01:10 -0400

greasemonkey (2.0-1) unstable; urgency=medium

  * Team upload, to unstable

  [ Anthony Lieuallen ]
  * Version and FF compatibility bump.
  * Final v2.0 version bump.

 -- David Prévot <taffit@debian.org>  Sun, 13 Jul 2014 11:44:49 -0400

greasemonkey (2.0~beta2-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 2.0beta1
  * Firefox compatibility bump.

  [ David Prévot ]
  * Document upstream VCS

 -- David Prévot <taffit@debian.org>  Wed, 11 Jun 2014 17:13:31 -0400

greasemonkey (1.16~beta6-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 1.16beta6

  [ David Prévot ]
  * Adapt watch and provide get-orig-source target

 -- David Prévot <taffit@debian.org>  Thu, 29 May 2014 12:36:54 -0400

greasemonkey (1.16~beta5-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Enable Sync support by default.

 -- David Prévot <taffit@debian.org>  Thu, 01 May 2014 22:35:46 -0400

greasemonkey (1.16~beta4-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 1.16beta4

 -- David Prévot <taffit@debian.org>  Fri, 18 Apr 2014 08:37:02 -0400

greasemonkey (1.16~beta3-1) experimental; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Beta version bump

 -- David Prévot <taffit@debian.org>  Tue, 08 Apr 2014 16:02:22 -0400

greasemonkey (1.16~beta2-1) experimental; urgency=medium

  * Team upload, targeted to experimental since it’s a beta version

  [ Anthony Lieuallen ]
  * Remove Firefox 27 only workaround.

 -- David Prévot <taffit@debian.org>  Mon, 31 Mar 2014 15:05:24 -0400

greasemonkey (1.15-1) unstable; urgency=medium

  * Team upload, targeted to unstable since it’s a release version

  [ Anthony Lieuallen ]
  * Version bump: 1.15

 -- David Prévot <taffit@debian.org>  Fri, 14 Feb 2014 19:01:59 -0400

greasemonkey (1.15~beta1-1) experimental; urgency=medium

  * Team upload, targeted to experimental since it’s a beta version

  [ Anthony Lieuallen ]
  * Version: 1.15beta1

 -- David Prévot <taffit@debian.org>  Thu, 30 Jan 2014 09:13:47 -0400

greasemonkey (1.14-1) unstable; urgency=medium

  * Team upload, targeted to unstable since it’s a release version

  [ Anthony Lieuallen ]
  * Version bump: 1.14

  [ David Prévot ]
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 20 Jan 2014 15:35:47 -0400

greasemonkey (1.14~beta1-1) experimental; urgency=medium

  * Team upload
  * Beta version, thus targeted to experimental

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2014 20:40:55 -0400

greasemonkey (1.13-1) unstable; urgency=medium

  * Team upload

  [ Anthony Lieuallen ]
  * Version bump: 1.13

  [ David Prévot ]
  * Add missing ${xpi:Depends} (Closes: #732199)
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 15 Dec 2013 12:07:23 -0400

greasemonkey (1.13~beta6-1) experimental; urgency=low

  * Team upload
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2013 22:33:07 -0400

greasemonkey (1.13~beta5-1) experimental; urgency=low

  * Team upload
  * Use HTTPS instead of FTP on watchfile
  * Imported Upstream version 1.13~beta5

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2013 13:13:00 -0400

greasemonkey (1.13~beta3-1) experimental; urgency=low

  * Team upload
  * Imported Upstream version 1.13~beta3

 -- David Prévot <taffit@debian.org>  Mon, 14 Oct 2013 10:04:26 -0400

greasemonkey (1.13~beta2-1) experimental; urgency=low

  * Team upload
  * Imported Upstream version 1.13~beta2

 -- David Prévot <taffit@debian.org>  Fri, 04 Oct 2013 18:40:51 -0400

greasemonkey (1.12-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 1.12
  * Update Maintainer and Uploaders for team maintenance
  * Remove now useless DMUA
  * Remove now useless versionning for mozilla-devscripts
  * Bump standards version to 3.9.4
  * Update Vcs to canonical URI
  * Remove now useless Breaks and Replaces
  * Add Breaks for xul-ext
  * Shorten synopsis
  * Fix watch URL
  * Review copyright
  * Add upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 15 Sep 2013 23:39:17 -0400

greasemonkey (0.9.20-1) unstable; urgency=low

  * Imported Upstream version 0.9.20
  * debian/copyright:
     + moved to DEP5 format
     + added tri-license for *.js files
     + added copyright holders for debian files

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 23 May 2012 16:57:19 +0200

greasemonkey (0.9.19-1) unstable; urgency=low

  * Imported Upstream version 0.9.19

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 12 May 2012 11:37:00 +0200

greasemonkey (0.9.18-1) unstable; urgency=low

  * Imported Upstream version 0.9.18
  * Bump Standards-Version to 3.9.3
  * Removed firefox-greasemonkey (<< 0.8.20090123.1) from
    Breaks and Replaces
  * Rewrite d/rules using standard rules
  * Removed cdbs from Build-Depends
  * Bump mozilla-devscripts to (>= 0.19~)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 03 Mar 2012 16:28:24 +0100

greasemonkey (0.9.17-1) unstable; urgency=low

  * Imported Upstream version 0.9.17

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 21 Feb 2012 17:36:24 +0100

greasemonkey (0.9.13-1) unstable; urgency=low

  * New upstream release. Compatible with iceweasel 8.0.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 10 Nov 2011 12:02:15 +0400

greasemonkey (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update my e-mail address.

 -- Andrea Veri <and@debian.org>  Thu, 29 Sep 2011 23:07:51 +0200

greasemonkey (0.9.11-1) unstable; urgency=low

  * Added xpi-repack to d/watch
  * Imported Upstream version 0.9.11

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 18 Sep 2011 14:27:00 +0200

greasemonkey (0.9.8-1) unstable; urgency=low

  * New upstream version.
  * Bump to 3.9.2 Standards-Version
  * Added myself to Uploaders
  * Upgrade d/compat to 8
  * Increase version of debhelper to (>= 8)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 09 Aug 2011 11:22:00 +0200

greasemonkey (0.9.6-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 04 Jul 2011 11:59:44 +0400

greasemonkey (0.9.1-1) unstable; urgency=low

  * New upstream version.
  * This version is compatible with iceweasel 4.0, closes: 611171.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 26 Jan 2011 16:11:39 +0300

greasemonkey (0.8.20100408.6-2) unstable; urgency=low

  * Shorten description to fix lintian error.
  * Bump Standard-Version to 3.9.1 (no changes required).
  * Add version to breaking firefox-greasemonkey.
  * Drop transitional package.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Sep 2010 00:13:16 +0200

greasemonkey (0.8.20100408.6-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 18 May 2010 09:58:27 +0400

greasemonkey (0.8.20100211.5-1) unstable; urgency=low

  * New upstream release.
  * Simplify debian/rules.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 22 Feb 2010 00:50:04 +0100

greasemonkey (0.8.20091209.4-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 26 Dec 2009 23:33:07 +0300

greasemonkey (0.8.20090920.2-3) unstable; urgency=low

  [ Andrea Veri ]
  * debian/control:
    - added myself and bdrung to uploaders.
    - added DM tag.

  [ UNera ]
  * Added Replaces for iceweasel-greasemonkey.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 14 Oct 2009 22:51:46 +0400

greasemonkey (0.8.20090920.2-2) unstable; urgency=low

  * Adapted to mozilla-devscripts.
  * added a dummy transitional package after binary name change from
    iceweasel-greasemonkey to xul-ext-greasemonkey. Have a look at
    http://wiki.debian.org/Teams/DebianMozExtTeam for more infos.
  * Removed unzip from build-depends, added mozilla-devscripts.
  * Changed VCS-* tags in debian/control.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 14 Oct 2009 15:26:58 +0400

greasemonkey (0.8.20090920.2-1) unstable; urgency=low

  * New upstream version.
    * Do not inject scripts into file: and about: URLs by default,
      for security reasons.
    * The GM_openInTab() function respects the background loading tab
       behavior from Firefox preferences.
    * Specify label/control associations in "New Script" dialog,
      for accessibility.
    * Minor code clean ups and improvements. Remove "forced" upgrade code.
    * Remove extra spacing around the status bar icon.
    * When adding include/exclude rules, include the port number
      in the default suggestion.
    * Reduce noise logged to the console when interacting with Firebug.
    * Apply security checks to GM_listValues() and GM_deleteValue().
    * Fix missing localized strings in various locales.
    * Grease pages loaded into the sidebar.
    * Allow user scripts to access the latest available JavaScript engine.
  * Patch for using greagreasemonkey with iceweasel 3.5 has been removed.
  * Standards-Version bumped to 3.8.3.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 01 Oct 2009 17:35:33 +0400

greasemonkey (0.8.20090123.1-2) unstable; urgency=low

  * Supports iceweasel 3.5.
  * Standards-Version bumped to 3.8.2.
  * Added Debian Mozilla Extension Maintainers
    <pkg-mozext-maintainers@lists.alioth.debian.org> to uploaders group.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 13 Jul 2009 10:50:54 +0400

greasemonkey (0.8.20090123.1-1) unstable; urgency=low

  * New upstream version.
  * Git repo has been created on the git.debian.org.
  * VCS-* records have been added to debian/control.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 25 Feb 2009 00:18:33 +0300

greasemonkey (0.8.20080609.0-2) unstable; urgency=low

  * Removed out-of-date firefox-greasemonkey package.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 26 Jun 2008 23:20:36 +0400

greasemonkey (0.8.20080609.0-1) unstable; urgency=low

  * New maintainer, closes: #488160.
  * New upstream version, closes: #480814, #488110, #405972, #486435.
  * debian/copyright has been updated.
  * added debian/watch.
  * Standards-Version bumped to 3.8.0.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 26 Jun 2008 16:07:29 +0400

greasemonkey (0.6.6.20061017.0-2) unstable; urgency=low

  * Updates of packaging for Firefox/Iceweasel rename:
    - Renamed binary package to iceweasel-greasemonkey
    - Added transition package
    - Replaced instances of "Firefox" with "Iceweasel"

 -- Michael Spang <mspang@uwaterloo.ca>  Sat, 25 Nov 2006 20:16:34 -0500

greasemonkey (0.6.6.20061017.0-1) unstable; urgency=low

  * New upstream release.
  * Updated contributors list in debian/copyright

 -- Michael Spang <mspang@uwaterloo.ca>  Sun, 29 Oct 2006 15:49:56 -0500

greasemonkey (0.6.4-5) unstable; urgency=low

  * Transition dependency on obsolete package mozilla-dev to its
    replacement libxul-dev (Closes: #364374)
  * Fixed debian/rules to avoid redundant builds

 -- Michael Spang <mike@utgard.net>  Sat, 29 Jul 2006 14:44:02 -0400

greasemonkey (0.6.4-4) unstable; urgency=low

  * Moved dependency on clean target from build target to binary target
    in debian/rules (Closes: #359692)

 -- Michael Spang <mspang@twcny.rr.com>  Tue, 28 Mar 2006 15:06:00 -0500

greasemonkey (0.6.4-3) unstable; urgency=low

  * Sources now from CVS rather than from the release XPI.

 -- Michael Spang <mspang@twcny.rr.com>  Mon, 13 Mar 2006 22:59:22 -0500

greasemonkey (0.6.4-2) unstable; urgency=low

  * Moved extension into /usr/share.

 -- Michael Spang <mspang@twcny.rr.com>  Fri, 10 Mar 2006 20:12:08 -0500

greasemonkey (0.6.4-1) unstable; urgency=low

  * Initial release (Closes: #325246)

 -- Michael Spang <mspang@twcny.rr.com>  Tue, 20 Dec 2005 21:26:32 -0500
